httpd-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From stri...@apache.org
Subject cvs commit: httpd-dist/tools release.sh
Date Mon, 20 Jan 2003 22:37:47 GMT
striker     2003/01/20 14:37:46

  Modified:    tools    release.sh
  Log:
  Commit current release script.  Disable httpd-1.3 until I have a clear
  picture of what needs to be done.
  
  Revision  Changes    Path
  1.2       +66 -11    httpd-dist/tools/release.sh
  
  Index: release.sh
  ===================================================================
  RCS file: /home/cvs/httpd-dist/tools/release.sh,v
  retrieving revision 1.1
  retrieving revision 1.2
  diff -u -r1.1 -r1.2
  --- release.sh	3 Jan 2003 09:32:17 -0000	1.1
  +++ release.sh	20 Jan 2003 22:37:46 -0000	1.2
  @@ -4,7 +4,7 @@
   #
   # USAGE: release.sh PROJECT VERSION [SIGNING-USER]
   #
  -#   The project is either 'httpd-1.3' or 'httpd-2.0'
  +#   The project is either 'httpd-2.0' or 'httpd-2.1'
   #
   #   The version number is specified as MAJOR.MINOR.PATCH (and will be used
   #   in the output tarball name). The script will then look for a CVS tag
  @@ -17,6 +17,9 @@
   #   release with.
   #
   
  +# Run tests to ensure that our requirements are met
  +# ./releasecheck.sh || exit 1
  +	
   if test "$#" != 2 && test "$#" != 3; then
     echo "USAGE: $0 PROJECT VERSION [SIGNING-USER]" >&2
     echo "  see the comments in this script for more info." >&2
  @@ -24,22 +27,40 @@
   fi
   
   case "$1" in
  -  httpd-1.3)
  -    repos_name="apache-1.3"
  +#  httpd-1.3)
  +#    repos_name="apache-1.3"
  +#    tag_prefix="APACHE"
  +#    ver_path="src/include/httpd.h"
  +#    ver_define="SERVER_BASEREVISION"
  +#
  +#    expected_major="1"
  +#    expected_minor="3"
  +#    ;;
  +  httpd-2.0)
  +    repos_name="httpd-2.0"
       tag_prefix="APACHE"
  -    ver_path="src/include/httpd.h"
  -    ver_define="SERVER_BASEREVISION"
  +    ver_path="include/ap_release.h"
  +    ver_define="AP_SERVER_PATCHLEVEL"
  +
  +    expected_major="2"
  +    expected_minor="0"
  +    
  +    apr_xxx_in_srclib=1
       ;;
  -  httpd-2.0)
  +  httpd-2.1)
       repos_name="httpd-2.0"
       tag_prefix="APACHE"
       ver_path="include/ap_release.h"
       ver_define="AP_SERVER_PATCHLEVEL"
  +
  +    expected_major="2"
  +    expected_minor="1"
  +
       apr_xxx_in_srclib=1
       ;;
     *)
       echo "ERROR: '$1' is an unknown project." >&2
  -    echo "  choose one of: httpd-1.3, httpd-2.0" >&2
  +    echo "  choose one of: httpd-2.0, httpd-2.1" >&2
       exit 1
   esac
   
  @@ -57,6 +78,11 @@
   echo " Tag name: $tagname"
   echo "Directory: $dirname"
   
  +if test "${expected_major}" -ne "${major}" || test "${expected_minor}" -ne "${minor}";
then
  +  echo "ERROR: project doesn't match tag" >&2
  +  exit 1
  +fi
  +
   if test -d ${dirname}; then
     echo "ERROR: for safety, you must manually remove $dirname." >&2
     exit 1
  @@ -76,10 +102,10 @@
   
   if test $apr_xxx_in_srclib
   then
  -  cd $dirname/srclib
  -  cvs -d :pserver:anoncvs@cvs.apache.org:/home/cvspublic export -r ${tagname} apr >
/dev/null || exit 1
  -  cvs -d :pserver:anoncvs@cvs.apache.org:/home/cvspublic export -r ${tagname} apr-util
> /dev/null || exit 1
  -  cd ../..
  +  ( cd $dirname/srclib &&
  +    cvs -d :pserver:anoncvs@cvs.apache.org:/home/cvspublic export -r ${tagname} apr >/dev/null
&&
  +    cvs -d :pserver:anoncvs@cvs.apache.org:/home/cvspublic export -r ${tagname} apr-util
>/dev/null
  +  ) || exit 1
   fi
   
   echo $split
  @@ -92,9 +118,21 @@
   fi
   
   echo "Copying CHANGES file"
  +echo ""
   
   cp $dirname/CHANGES CHANGES_${major}_${minor}
   
  +echo $split
  +echo ""
  +echo "Getting FAQ from master site ..."
  +echo ""
  +
  +# The FAQ contains SSI tags too complex for the expand.pl script to handle.
  +rm -f ${dirname}/docs/manual/faq/*.html
  +links -source http://httpd.apache.org/docs-2.0/faq/index.html?ONEPAGE \
  +              > ${dirname}/docs/manual/faq/index.html || exit 1
  +
  +echo $split
   echo ""
   echo "Eliminating unwanted files (e.g. .cvsignore) and generating initial"
   echo "files via buildconf ..."
  @@ -105,6 +143,23 @@
   find $dirname -name STATUS | xargs rm -rf
   
   (cd ${dirname} && ./buildconf) || exit 1
  +
  +find $dirname -name autom4te*.cache | xargs rm -rf
  +
  +echo ""
  +echo "Fixup the timestamps preventing remake of generated files."
  +touch $dirname/modules/ssl/ssl_expr_parse.c
  +touch $dirname/modules/ssl/ssl_expr_parse.h
  +touch $dirname/modules/ssl/ssl_expr_scan.c
  +echo ""
  +
  +echo $split
  +echo ""
  +echo "Making sure people can read the manual (expanding SSI's)"
  +( cd ${dirname}/docs/manual &&
  +  chmod +x expand.pl &&
  +  ./expand.pl &&
  +  rm ./expand.pl ) || exit 1
   
   echo $split
   echo ""
  
  
  

Mime
View raw message